## org.eclipse.datatools.sqltools.sql.updater
Class ProceduralObjectSourceUpdater

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.updater.ProceduralObjectSourceUpdater

Direct Known Subclasses:
  RoutineSourceUpdater, TriggerSourceUpdater

    public abstract class ProceduralObjectSourceUpdater

extends java.lang.Object

Author:
  Hui Cao

Constructor Summary
`ProceduralObjectSourceUpdater(SQLObject _object, DatabaseDefinition dbDefinition)`

Method Summary
`abstract java.lang.String` `getBody()`
`boolean` `getTestMode()`
`abstract void` `setBody(java.lang.String body)`
`void` `setTestMode(boolean testMode)` In test mode, the updater should validate the updated source and revert it back if error occurs.
`boolean` `updateName(java.lang.String newName)` Updates the source by giving it a new name

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProceduralObjectSourceUpdater

    public ProceduralObjectSourceUpdater(SQLObject _object,
                                         DatabaseDefinition dbDefinition)

Method Detail

### updateName

    public boolean updateName(java.lang.String newName)

  Updates the source by giving it a new name

  Parameters:
    `newName` - should be quoted when necessary
  Returns:

### getBody

    public abstract java.lang.String getBody()

### setBody

    public abstract void setBody(java.lang.String body)

### setTestMode

    public void setTestMode(boolean testMode)

  In test mode, the updater should validate the updated source and revert it back if error occurs.

  Parameters:
    `testMode` -

### getTestMode

    public boolean getTestMode()